#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libXmu-1.1.1.tar.bz2
    cd libXmu-1.1.1
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datadir=/usr/lib --disable-static
    make XMU_LIBS='-lXt -lX11 -lXext'
    strip -R .note -R .comment src/.libs/libXmu.so.6 src/.libs/libXmuu.so.1
    mkdir -p ../libxmu6/lib ../libxmuu1/lib
    cp src/.libs/libXmu.so.6 ../libxmu6/lib/
    cp src/.libs/libXmuu.so.1 ../libxmuu1/lib/
    cd ..
    rm -rf libXmu-1.1.1
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
